Bug 769935 - MeasurementSenderRunner should log debug instead of warning if a numeric metric value is null, NaN, or Infinity
MeasurementSenderRunner should log debug instead of warning if a numeric metr...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
3.0.1,4.3
Unspecified Unspecified
medium Severity low (vote)
: ---
: JON 2.4.2
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 14:31 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 753226
Environment:
Last Closed: 2012-02-07 14:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2011-12-22 14:31:25 EST
+++ This bug was initially created as a clone of Bug #753226 +++

When a numeric metric value is Null, NaN, or Infinity the agent log contains a warning indicate the value is invalid. However, this value is not invalid in most cases. It is expected. For example, for a web application response time metrics. If the web application has not been accessed since the app started or its metric have been reset, average response time will be NaN due to no data to calculate. For the same resource, min response time and max response time are also NaN as they represent min = Long.MAX_VALUE and max = 0.

The fact that this is logged as warning is very alarming when seen in the agent log. Instead, this should be logged at debug.


WARN  [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)-Numeric Servlet.averageResponseTime with id 645163 is invalid, value was 'NaN'


Should be:

DEBUG  [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)-Numeric Servlet.averageResponseTime with id 645163 is invalid, value was 'NaN'

--- Additional comment from loleary@redhat.com on 2011-11-11 11:31:35 EST ---

ips already committed this fix to master as 542a30ca6d0eaebbee5365c756955255ba367e4e:

   log message reporting invalid numeric metrics at DEBUG, rather than WARN, to avoid flooding the agent log with repetitive messages

--- Additional comment from loleary@redhat.com on 2011-11-14 14:32:34 EST ---

Committed to release-3.0.1 as 43dedc8135a6ce802501810ff810af739b24ab11 - http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=43dedc8135a6ce802501810ff810af739b24ab11

--- Additional comment from skondkar@redhat.com on 2011-12-22 04:59:26 EST ---

Verified in master build#855 (Version: 4.3.0-SNAPSHOT Build Number: 74fe0df)

The invalid numeric metrics log messages are not logged as warning. These are logged at DEBUG in agent log as below:

2011-12-22 15:22:09,348 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.AvgResponseTime] with schedule id [18225] is invalid - value is [Double.NaN].
2011-12-22 15:22:09,348 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.MaxResponseTime] with schedule id [18226] is invalid - value is [Double.NaN].
2011-12-22 15:22:09,348 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.MinResponseTime] with schedule id [18227] is invalid - value is [Double.NaN].
Comment 1 Sunil Kondkar 2011-12-25 23:03:05 EST
Verified on version: 2.4.2.GA build number: 3fd0075:1afdc60

The invalid numeric metrics log messages are not logged as warning. These are
logged at DEBUG in agent log as below:

2011-12-26 00:26:30,542 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)- Numeric metric [Servlet.AvgResponseTime] with schedule id [17515] is invalid - value is [Double.NaN].
2011-12-26 00:26:30,542 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)- Numeric metric [Servlet.MinResponseTime] with schedule id [17517] is invalid - value is [Double.NaN].
2011-12-26 00:26:30,542 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)- Numeric metric [Servlet.MaxResponseTime] with schedule id [17516] is invalid - value is [Double.NaN].

Marking as verified.
Comment 2 Mike Foley 2012-02-07 14:18:25 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.